/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import java.awt.Color;
import java.awt.Paint;
import org.apache.commons.collections15.Transformer;

/**
 * Color of the boardes of vertices
 * @author Jens Einloft
 */

public class VertexDrawPaintTransformer implements Transformer<NetViewerNode, Paint> {

    private static final Color transparent = new Color(0,0,0,0);

    public Paint transform(NetViewerNode n) {
        if(!n.getNodeType().equalsIgnoreCase(NetViewer.BEND))
            return (Paint)Color.BLACK;
        else
            return (Paint)transparent;
    }

}
