/*
 *
 *  This file ist part of the software MonaLisa.
 *  MonaLisa is free software, dependend on non-free software. For more information read LICENCE and README.
 *
 *  (c) Molekulare Bioinformatik, Goethe University Frankfurt, Frankfurt am Main, Germany
 *
 */

package monalisa.addons.netviewer;

import edu.uci.ics.jung.visualization.util.VertexShapeFactory;
import monalisa.addons.netviewer.NetViewerNode;
import org.apache.commons.collections15.Transformer;
import org.apache.commons.collections15.functors.ConstantTransformer;

/**
 * Controll the size of a node
 * @author Jens Einloft
 */

public class MyVertexShapeFactory extends VertexShapeFactory{

    public MyVertexShapeFactory(int size) {
        this(new ConstantTransformer(Integer.valueOf(size)), new ConstantTransformer(Float.valueOf(1.0F)));
    }

    public MyVertexShapeFactory(Transformer<NetViewerNode, Integer> vsf, Transformer<NetViewerNode, Float> varf) {
        this.vsf = vsf;
        this.varf = varf;
    }    
}
